import { SvelteComponentTyped } from "svelte";
import type { HTMLButtonAttributes, HTMLAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAttributes<HTMLAnchorElement | HTMLButtonElement> & {
        pill?: boolean;
        outline?: boolean;
        size?: "xs" | "sm" | "md" | "lg" | "xl";
        href?: string;
        type?: HTMLButtonAttributes["type"];
        color?: "red" | "yellow" | "green" | "purple" | "blue" | "light" | "dark" | "primary" | "none" | "alternative";
        shadow?: boolean;
        tag?: string;
        checked?: boolean;
        disabled?: boolean;
        target?: string;
        rel?: string;
        name?: string;
    };
    events: {
        click: MouseEvent;
        change: Event;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        touchstart: TouchEvent;
        touchend: TouchEvent;
        touchcancel: TouchEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type ButtonProps = typeof __propDef.props;
export type ButtonEvents = typeof __propDef.events;
export type ButtonSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let pill: $$Props['pill'] = false;
 * @prop export let outline: $$Props['outline'] = false;
 * @prop export let size: NonNullable<$$Props['size']> = group ? 'sm' : 'md';
 * @prop export let href: $$Props['href'] = undefined;
 * @prop export let type: $$Props['type'] = 'button';
 * @prop export let color: NonNullable<$$Props['color']> = group ? (outline ? 'dark' : 'alternative') : 'primary';
 * @prop export let shadow: $$Props['shadow'] = false;
 * @prop export let tag: $$Props['tag'] = 'button';
 * @prop export let checked: $$Props['checked'] = undefined;
 * @prop export let disabled: $$Props['disabled'] = false;
 */
export default class Button extends SvelteComponentTyped<ButtonProps, ButtonEvents, ButtonSlots> {
}
export {};
